mat-toolbar {
  position: relative;
  z-index: 5;
}

.footer {
  position: fixed;
  bottom: 0;
  width: 100%;
}

mat-sidenav-container {
  overflow: hidden !important;
}

mat-sidenav {
  background: #f1f1f1 !important;
  width: 240px !important;
  overflow: hidden !important;
}

::ng-deep .mat-drawer-inner-container {
  overflow: hidden !important;
  padding-top: 0 !important;
}

::ng-deep.mat-drawer-container {
  position: relative;
  z-index: -1;
  box-sizing: border-box;
  -webkit-overflow-scrolling: touch;
  display: block;
  overflow: hidden;
  height: 100% !important;
}
.all-wrap {
  min-height: 100vh;
}

.content {
  flex: 1; // child will set to an equal size inside the container
}

main {
  display: flex;
  flex-direction: column;

  // Select all direct descendants only of the <main> element
  // that are not <router-outlet> elements:
  > *:not(router-outlet) {
    flex: 1; // child will set to an equal size inside the container
    display: block;
  }
}
